Discussion:
Bug#885813: xfce4-notes-plugin: Depends on libunique
Add Reply
Jeremy Bicha
2017-12-30 02:40:02 UTC
Reply
Permalink
Source: xfce4-notes-plugin
Version: 1.8.1-1
Severity: important
User: pkg-gnome-***@lists.alioth.debian.org
Usertags: oldlibs libunique
Tags: sid buster

As announced [1], we do not intend to release Debian 10 "Buster" with
the old libgnome (and related) libraries. These libraries have been
deprecated and unmaintained for several years.

Your package depends and or build-depends on libunique.

The 1.8.0 NEWS entry says that there is a gtk3 build option, but it is
"missing features" compared to the gtk2 version.

[1] https://lists.debian.org/debian-devel/2017/10/msg00299.html

On behalf of the Debian GNOME team,
Jeremy Bicha
Jeremy Bicha
2019-10-06 11:20:01 UTC
Reply
Permalink
Control: severity -1 serious

The Debian GNOME team would like to remove libunique from Debian.
Therefore, I'm bumping the severity of this bug to serious.

Please see the master bug https://bugs.debian.org/895520 for
documentation on moving away from libunique. It looks like it requires
finishing the port to gtk3.

Because xfce4-notes-plugin is a "key package", it won't be
automatically removed from Testing. But note that this package is one
of the last 2 or 3 keeping libunique in Debian.

Thanks,
Jeremy Bicha
Yves-Alexis Perez
2019-10-09 15:40:02 UTC
Reply
Permalink
Post by Jeremy Bicha
Control: severity -1 serious
The Debian GNOME team would like to remove libunique from Debian.
Therefore, I'm bumping the severity of this bug to serious.
Please see the master bug https://bugs.debian.org/895520 for
documentation on moving away from libunique. It looks like it requires
finishing the port to gtk3.
Because xfce4-notes-plugin is a "key package", it won't be
automatically removed from Testing. But note that this package is one
of the last 2 or 3 keeping libunique in Debian.
Hi, thanks for the update. It seems that the GTK3 port isn't really complete.
And it seems notes isn't really maintained upstream anymore. I'm adding Mike
to the CC but we might end up completely dropping xfce4-notes-plugin from
Debian in the end.

Regards,
- --
Yves-Alexis

Loading...